Add internal note (no outbound reply)
Only type: 'internal_note' is allowed. Outbound replies are not supported via the API.
curl -X POST "/api/v1/tickets/example_string/messages" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (API key (ixk_...))" \
-d '{
"type": "internal_note",
"body_html": "example_string",
"body_text": "example_string"
}'
import requests
import json
url = "/api/v1/tickets/example_string/messages"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (API key (ixk_...))"
}
data = {
"type": "internal_note",
"body_html": "example_string",
"body_text": "example_string"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("/api/v1/tickets/example_string/messages", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (API key (ixk_...))"
},
body: JSON.stringify({
"type": "internal_note",
"body_html": "example_string",
"body_text": "example_string"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"type": "internal_note",
"body_html": "example_string",
"body_text": "example_string"
}`)
req, err := http.NewRequest("POST", "/api/v1/tickets/example_string/messages", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (API key (ixk_...))")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('/api/v1/tickets/example_string/messages')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (API key (ixk_...))'
request.body = '{
"type": "internal_note",
"body_html": "example_string",
"body_text": "example_string"
}'
response = http.request(request)
puts response.body
{}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Forbidden",
"message": "You don't have permission to access this resource",
"code": 403
}
{
"error": "Too Many Requests",
"message": "Rate limit exceeded. Please try again later",
"code": 429,
"retryAfter": 3600
}
POST
/tickets/{id}/messagesPOST
Bearer Token (API key (ixk_...))
Bearer Tokenstring
RequiredAPI key from Settings → API. Pass as Authorization: Bearer <key>
API key from Settings → API. Pass as Authorization: Bearer <key>
Content-Typestring
RequiredThe media type of the request body
Options: application/json
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token (API key (ixk_...)). API key from Settings → API. Pass as Authorization: Bearer <key>
Path Parameters
Responses
Created
Must use type: internal_note only
Problem code unauthorized — missing/invalid Authorization: Bearer, or revoked API key.
Problem code forbidden — workspace has no API access entitlement, or insufficient_scope — read-only API key used for POST/PATCH/DELETE.
Rate limit exceeded
Was this page helpful?
Last updated 3 weeks ago
Built with Documentation.AI